Subject: Re: [PATCH] gitweb: only display "next" links in logs if there is a next page

From: Lea Wiemann <[email-masked]>
Date: Wed, 28 May 2008 01:30:42 +0200

Lea Wiemann wrote:
> There was a bug in the implementation of the "next" links in
> format_paging_nav (for log and shortlog), which caused the next links
> to always be displayed, even if there is no next page.  This fixes it.

Oh, one more thing I forgot to mention: I've tested this with a small 
(single-page) log page and a long log page.  In both cases the "next" 
links get formatted correctly, and they stop linking to the next page on 
the correct (= last) page.  The only thing I haven't tested for is 
off-by-one errors, but I'm reasonably sure that $#commitlist >= 100 is 
right.

-- Lea